package certi;

import certi.rti.impl.CertiRTIAmbassador;
import hla.rti.jlc.NullFederateAmbassador;
import hla.rti.jlc.RtiFactory;
import hla.rti.jlc.RtiFactoryFactory;
import hla.rti.FederateAmbassador;
import hla.rti.ResignAction;
import hla.rti.RTIambassador;

import java.io.File;

public class SimpleFederate
{
    public void runFederate() throws Exception
    {
        //////////////////////////////
        // 1. get a link to the RTI //
        //////////////////////////////
        System.out.println("1. get a link to the RTI1");

        RtiFactory factory = RtiFactoryFactory.getRtiFactory("certi.rti.jlc.CertiRTIFactory");
        RTIambassador rti = factory.createRtiAmbassador();
        
        System.out.println("   done");

        ////////////////////////////
        // 2. create a federation //
        ////////////////////////////
        System.out.println("2. create a federation");

        File fom = new File( "testfom.fed" );
        rti.createFederationExecution( "exampleFederation", fom.toURI().toURL());

        System.out.println("   done");

        ////////////////////////////
        // 3. join the federation //
        ////////////////////////////
        System.out.println("3. join the federation");

        FederateAmbassador fedamb = new MyFederateAmbassador();
        rti.joinFederationExecution( "myFederate", "exampleFederation", fedamb );

        System.out.println("   done");
        
        ///////////////////////////////
        // 4. resign from federation //
        ///////////////////////////////
        rti.resignFederationExecution( ResignAction.DELETE_OBJECTS );

        /////////////////////////////
        // 5. destroy a federation //
        /////////////////////////////
        rti.destroyFederationExecution( "exampleFederation" );

        ((CertiRTIAmbassador) rti).closeConnexion();
    }

    public static void main( String[] args ) throws Exception
    {
        new SimpleFederate().runFederate();
    }

    private class MyFederateAmbassador extends NullFederateAmbassador
    {
    }
}
