// ----------------------------------------------------------------------------
// CERTI - HLA Run Time Infrastructure
// Copyright (C) 2010 Andrej Pancik
//
// This program is free software ; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation ; either version 2 of
// the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY ; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this program ; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
// ----------------------------------------------------------------------------
package certi.communication.messages;

import certi.communication.CertiException;
import certi.communication.CertiMessage;
import certi.communication.MessageBuffer;
import certi.communication.CertiMessageType;

public class ResignFederationExecution extends CertiMessage {

    private int resignAction;

    public ResignFederationExecution() {
        super(CertiMessageType.RESIGN_FEDERATION_EXECUTION);
        this.resignAction = 0;
    }

    public ResignFederationExecution(double federationTime, int resAction) {
        super(CertiMessageType.RESIGN_FEDERATION_EXECUTION, federationTime);
        this.resignAction = resAction;
    }

    @Override
    public void writeMessage(MessageBuffer messageBuffer) {
        super.writeMessage(messageBuffer);
        messageBuffer.write(resignAction);
    }

    @Override
    public void readMessage(MessageBuffer messageBuffer) throws CertiException {
        super.readMessage(messageBuffer);
        //TODO WTF?  this.resignAction = messageBuffer.readInt();
    }

    @Override
    public String toString() {
        return (super.toString() + " " + this.resignAction);
    }
}
